Crystal Space: iParticleBuiltinEffectorLinColor Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticleBuiltinEffectorLinColor Struct Reference
[Defaulteffectors]

Simple linear interpolation of particle color based on particle lifetime. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticleBuiltinEffectorLinColor:

[legend]
List of all members.

## Public Member Functions
virtual size_t | AddColor (const csColor4 &color, float endTTL)=0
| Add color to list of colors to interpolate between.
virtual void | GetColor (size_t index, csColor4 &color, float &endTTL) const =0
| Get color and time.
virtual size_t | GetColorCount () const =0
| Get number of color entries.
virtual void | SetColor (size_t index, const csColor4 &color)=0
| Set the color of an already existing entry.

## Detailed Description

Simple linear interpolation of particle color based on particle lifetime.

The age of particle P is defined as max(0, maxAge - P.TTL)

The first color value is regarded as having time 0, independently of what it is set to have

Definition at line 692 of file particles.h.

## Member Function Documentation

virtual size_t iParticleBuiltinEffectorLinColor::AddColor | ( | const csColor4 & | color,
|  | float | endTTL |
| ) |  |  | `[pure virtual]`

Add color to list of colors to interpolate between.

Returns:
  Index of new color

virtual void iParticleBuiltinEffectorLinColor::GetColor | ( | size_t | index,
|  | csColor4 & | color,
|  | float & | endTTL |
| ) |  |  | const`[pure virtual]`

Get color and time.

virtual size_t iParticleBuiltinEffectorLinColor::GetColorCount | ( |  | ) | const`[pure virtual]`

Get number of color entries.

virtual void iParticleBuiltinEffectorLinColor::SetColor | ( | size_t | index,
|  | const csColor4 & | color |
| ) |  |  | `[pure virtual]`

Set the color of an already existing entry.

The documentation for this struct was generated from the following file:

- imesh/particles.h